# ---------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ---------------------------------------------------------

"""This package supports the use of fairness analysis dashboards in Azure Machine Learning Studio.

The dashboards themselves are generated by the [open source Fairlearn package](https://fairlearn.github.io/).
This package enables the uploading, listing and downloading of these dashboards within Azure
Machine Learning Studio.
"""

from ._fairness_client import upload_dashboard_dictionary
from ._fairness_client import list_available_upload_ids
from ._fairness_client import download_dashboard_by_upload_id
from ._fairness_client import DEFAULT_UPLOAD_BYTES_LIMIT
from ._one_api import upload_fairness_local, upload_fairness_remote

__all__ = [
    "download_dashboard_by_upload_id",
    "list_available_upload_ids",
    "upload_dashboard_dictionary",
    "DEFAULT_UPLOAD_BYTES_LIMIT",
    "upload_fairness_local",
    "upload_fairness_remote"
]
